body {
  margin: 0;
  padding: 0;
}

a {
  color: black;
}

.lnodata {
  fill: #dddddd;
  background-color: #dddddd;
}

.l50 {
  fill: #fafaf7;
  background-color: #fafaf7;
}

.l100 {
  fill: #f0c2cb;
  background-color: #f0c2cb;
}

.l150 {
  fill: #e58ea2;
  background-color: #e58ea2;
}
.l200 {
  fill: #db5e7c;
  background-color: #db5e7c;
}

.l250 {
  fill: #d22f58;
  background-color: #d22f58;
}

.lmore {
  fill: #cb0036;
  background-color: #cb0036;
}

.selected {
  fill: #009cd2;
}

h1 {
  font: 300 1.5rem "Fira Sans Condensed";
  margin-top: 0;
}

h2 {
  font: 300 1rem "Fira Sans Condensed";
  text-transform: uppercase;
}

.weekselection_container {
  position: relative;
  background-color: #d92344;
  box-sizing: border-box;
  display: block;
  margin-bottom: 1em;
  width: 100%;
  max-width: 500px;
  padding: 0;
  height: 51px;
}

nav.weekselection {
  overflow-x: auto;
  overflow-y: hidden;
  white-space: nowrap;
}

.weekselection_container #shadow {
  display: block;
  pointer-events: none;
  background: linear-gradient(
    90deg,
    rgba(255, 255, 255, 1) 0%,
    rgba(255, 255, 255, 0) 30%,
    rgba(255, 255, 255, 0) 100%
  );
  position: absolute;
  z-index: 2;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
}

nav.weekselection input {
  display: none;
}

nav.weekselection label {
  border: 1px solid #d92344;
  border-bottom-width: 0;
  position: relative;
  display: inline-block;
  font: 300 1em "Fira Sans Condensed";
  color: rgb(230, 230, 230);
  width: 50px;
  height: 50px;
  box-sizing: border-box;
  cursor: pointer;
  background-image: url("pics/arrow_grey.svg");
  background-repeat: no-repeat;
  background-position: center;
  background-size: 30%;
  cursor: pointer;
  transition: color 0.3s ease, background-image 0.3s ease;
}

nav.weekselection label:hover {
  color: white;
  background-image: url("pics/arrow.svg");
}

nav.weekselection input:checked + label {
  background-color: white;
  color: black;
  background-image: url("pics/arrow_black.svg");
}

nav.weekselection label::before,
nav.weekselection label::after {
  left: 50%;
  transform: translateX(-50%);
  position: absolute;
  font: 400 0.8rem "Fira Sans Condensed";
}

nav.weekselection label::before {
  content: attr(data-from);
  top: 1px;
}

nav.weekselection label::after {
  content: attr(data-to);
  bottom: 1px;
}

nav.weekselection input:checked + label::before,
nav.weekselection input:checked + label::after {
  font-weight: 300;
}

#infos {
  position: absolute;
  z-index: 2;
  width: 100%;
  max-width: 250px;
  background-color: #fbf2f4;
  transition: left 0.3s ease-in-out;
  border-radius: 0 3px 3px 0;
  border: 1px solid #d92344;
  border-left: none;
  padding: 0.3em 0;
}

#infos p {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
  padding-left: 1em;
  font: 200 0.9rem "Fira Sans Condensed";
}

.hideinfos {
  left: -500px;
}

.displayinfos {
  left: 0;
}

.legend {
  width: 300px;
  font: 200 0.7em "Fira Sans Condensed", sans-serif;
  margin: 1em 0;
}

.legend .colours,
.legend .headings {
  display: flex;
}

.legend .colours div {
  flex: 1;
  height: 15px;
}

.legend .headings div {
  flex: 1;
  box-sizing: border-box;
}

.legend .headings div:nth-of-type(1) {
  text-align: right;
}

.legend .headings div:nth-of-type(2) {
  text-align: right;
  flex: 0.8;
}

.legend .headings div:nth-of-type(3) {
  flex: 1.1;
  text-align: center;
}

.legend .headings div:nth-of-type(4) {
  flex: 0.8;
}

.hidediv {
  display: none;
}

#svg_container {
  width: 320px;
  height: 460px;
  position: relative;
  margin: auto;
}

@media screen and (min-width: 370px) {
  #svg_container {
    width: 370px;
    height: 500px;
  }
}

#wort-logo {
  position: absolute;
  left: 0;
  bottom: 0.5em;
  width: 20px;
  height: 20px;
  z-index: 1;
}

svg {
  display: inline;
  width: inherit;
  min-width: inherit;
  max-width: inherit;
  height: inherit;
  min-height: inherit;
  max-height: inherit;
  margin: auto;
  display: block;
}

svg path {
  transition: fill 1s ease-out;
  cursor: pointer;
  stroke: #54442b;
  stroke-width: 1px;
}

svg text {
  font: 400 1.2rem "Fira Sans Condensed", sans-serif;
  fill: #303030;
  pointer-events: none;
}

aside {
  width: 100%;
  max-width: 500px;
  display: block;
  font: 200 0.8rem "Fira Sans Condensed", sans-serif;
  border-width: 1px 0 0 0;
  border-style: solid;
  border-image: linear-gradient(
      90deg,
      rgba(204, 204, 204, 1) 0%,
      rgba(204, 204, 204, 1) 45%,
      rgba(255, 255, 255, 1) 46%,
      rgba(255, 255, 255, 0) 100%
    )
    100;
  margin-top: 2em;
  padding-top: 0.5em;
}

aside h4 {
  display: inline-block;
  padding: 0;
  margin: 0;
  font: 200 0.8rem "Fira Sans Condensed", sans-serif;
  width: 7em;
}

aside a {
  color: black;
}
